package x64

import "io"

// Call places the return address on the top of the stack and continues
// program flow at the new address. The address is relative to the next instruction.
func Call(w io.ByteWriter, address uint32) {
	w.WriteByte(0xe8)
	appendUint32(w, address)
}
