package x64

import (
	"io"
)

// MoveRegNum32 moves a 32 bit integer into the given register.
func MoveRegNum32(w io.ByteWriter, register uint8, number uint32) {
	w.WriteByte(0xb8 + register)
	appendUint32(w, number)
}
