package x64

import "io"

// Return transfers program control to a return address located on the top of the stack.
// The address is usually placed on the stack by a Call instruction.
func Return(w io.ByteWriter) {
	w.WriteByte(0xc3)
}
